﻿/**Begin D:\PDM_UPGRADE\PDM1\ICT_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ICT_APPORGSCOPE', 'T_ICT_APPORGSCOPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_APPORGSCOPE') CREATE INDEX IDX_ICTP_APPORGSCOPE ON T_ICT_APPORGSCOPE ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_RECORULEENTRY', 'T_ICT_RECORULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RECORULEENTRY') CREATE INDEX IDX_ICTP_RECORULEENTRY ON T_ICT_RECORULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_VERIFY_SCHEME', 'T_ICT_VERIFY_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_VERIFY_SCHEME') CREATE INDEX IDX_ICTP_VERIFY_SCHEME ON T_ICT_VERIFY_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ICT_VERIFY_SCHEME_L', 'T_ICT_VERIFY_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_VERIFY_SCHEME_L') CREATE INDEX IDX_ICTP_VERIFY_SCHEME_L ON T_ICT_VERIFY_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ICT_OFFSETORG', 'T_ICT_OFFSETORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_OFFSETORG') CREATE INDEX IDX_ICTP_OFFSETORG ON T_ICT_OFFSETORG ( FMERGEID ,FACCOUNTINGSYSID );


 EXEC P_ALTERPK 'PK_T_ICT_RELEVANCETYPE', 'T_ICT_RELEVANCETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELEVANCETYPE') CREATE INDEX IDX_ICTP_RELEVANCETYPE ON T_ICT_RELEVANCETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_ICT_OFFSETORG_L', 'T_ICT_OFFSETORG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_OFFSETORG_L') CREATE INDEX IDX_ICTP_OFFSETORG_L ON T_ICT_OFFSETORG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ICT_RELEVANCETYPE_L', 'T_ICT_RELEVANCETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELEVANCETYPE_L') CREATE INDEX IDX_ICTP_RELEVANCETYPE_L ON T_ICT_RELEVANCETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ICT_COMMONASSGRP', 'T_ICT_COMMONASSGRP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_COMMONASSRP') CREATE INDEX IDX_ICTP_COMMONASSRP ON T_ICT_COMMONASSGRP ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_ICT_RECODIMENTRY', 'T_ICT_RECODIMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RECODIMENTRY') CREATE INDEX IDX_ICTP_RECODIMENTRY ON T_ICT_RECODIMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_RELOFFSETSCHEME', 'T_ICT_RELOFFSETSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELOFFSETSCHEME') CREATE INDEX IDX_ICTP_RELOFFSETSCHEME ON T_ICT_RELOFFSETSCHEME ( FORGID ,FBOOKTYPEID ,FVERIFYSCHEMEID );


 EXEC P_ALTERPK 'PK_T_ICT_RELOFFSETSCHEME_L', 'T_ICT_RELOFFSETSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELOFFSETSCHEME_L') CREATE INDEX IDX_ICTP_RELOFFSETSCHEME_L ON T_ICT_RELOFFSETSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_ICT_RELTRANS_INITSTATE', 'T_ICT_RELTRANS_INITSTATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_STATE_ACT') CREATE INDEX IDX_ICTP_STATE_ACT ON T_ICT_RELTRANS_INITSTATE ( FORGID ,FBOOKTYPEID ,FTYPEID ,FACCOUNTID );


 EXEC P_ALTERPK 'PK_ICT_RELTRANS_ACCT_INIT', 'T_ICT_RELTRANS_ACCT_INIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INIT_ACCT') CREATE INDEX IDX_INIT_ACCT ON T_ICT_RELTRANS_ACCT_INIT ( FORGID ,FBOOKTYPEID ,FACCOUNTID );


 EXEC P_ALTERPK 'PK_ICT_RELTRANS_CF_INIT', 'T_ICT_RELTRANS_CF_INIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_INIT_CF') CREATE INDEX IDX_ICTP_INIT_CF ON T_ICT_RELTRANS_CF_INIT ( FORGID ,FBOOKTYPEID ,FCASHFLOWITEMID );


 EXEC P_ALTERPK 'PK_T_ICT_RELVERIFY_ACCOUNT', 'T_ICT_RELVERIFY_ACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELVERIFY_ACCOUNT') CREATE INDEX IDX_ICTP_RELVERIFY_ACCOUNT ON T_ICT_RELVERIFY_ACCOUNT ( FORGID ,FBOOKTYPEID );


 EXEC P_ALTERPK 'PK_T_ICT_RELVERIFY_CASH', 'T_ICT_RELVERIFY_CASH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELVERIFY_CASH') CREATE INDEX IDX_ICTP_RELVERIFY_CASH ON T_ICT_RELVERIFY_CASH ( FORGID ,FBOOKTYPEID );


 EXEC P_ALTERPK 'PK_T_ICT_RELACCTRECORD', 'T_ICT_RELACCTRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RELACCTRECORD') CREATE INDEX IDX_ICT_RELACCTRECORD ON T_ICT_RELACCTRECORD ( FVOUCHERID );


 EXEC P_ALTERPK 'PK_T_ICT_RELCFRECORD', 'T_ICT_RELCFRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RELCFRECORD') CREATE INDEX IDX_ICT_RELCFRECORD ON T_ICT_RELCFRECORD ( FVOUCHERID );


 EXEC P_ALTERPK 'PK_T_ICT_RELVERIFY_AC_ENT', 'T_ICT_RELVERIFY_AC_ENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELVERIFY_AC_ENT') CREATE INDEX IDX_ICTP_RELVERIFY_AC_ENT ON T_ICT_RELVERIFY_AC_ENT ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_RELVERIFY_CASH_ENT', 'T_ICT_RELVERIFY_CASH_ENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICTP_RELVERIFY_CASH_ENT') CREATE INDEX IDX_ICTP_RELVERIFY_CASH_ENT ON T_ICT_RELVERIFY_CASH_ENT ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_PULLDATALOG', 'T_ICT_PULLDATALOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_PULLDATALOG_ORGBT') CREATE INDEX IDX_ICT_PULLDATALOG_ORGBT ON T_ICT_PULLDATALOG ( FORGID ,FBOOKTYPEID );


 EXEC P_ALTERPK 'PK_T_ICT_RECONTOLERANCE', 'T_ICT_RECONTOLERANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RECONTOLERANCE_NUMBER') CREATE INDEX IDX_ICT_RECONTOLERANCE_NUMBER ON T_ICT_RECONTOLERANCE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RECONTOLERANCE_ORG') CREATE INDEX IDX_ICT_RECONTOLERANCE_ORG ON T_ICT_RECONTOLERANCE ( FORGID );


 EXEC P_ALTERPK 'PK_T_ICT_RECORDDIMENTRY', 'T_ICT_RECORDDIMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RECORDDIMENTRY_FID') CREATE INDEX IDX_ICT_RECORDDIMENTRY_FID ON T_ICT_RECORDDIMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_VERIFYSCHEME', 'T_ICT_VERIFYSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_VERIFYSCHEME_NUMBER') CREATE INDEX IDX_ICT_VERIFYSCHEME_NUMBER ON T_ICT_VERIFYSCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_VERIFYSCHEME_ORGAT') CREATE INDEX IDX_ICT_VERIFYSCHEME_ORGAT ON T_ICT_VERIFYSCHEME ( FORGID ,FACCOUNTTABLEID );


 EXEC P_ALTERPK 'PK_T_ICT_VERIFYSCHEME_L', 'T_ICT_VERIFYSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_VERIFYSCHEME_L_FID') CREATE INDEX IDX_ICT_VERIFYSCHEME_L_FID ON T_ICT_VERIFYSCHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_VERIFYDIMENTRY', 'T_ICT_VERIFYDIMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_VERIFYDIMENTRY_FID') CREATE INDEX IDX_ICT_VERIFYDIMENTRY_FID ON T_ICT_VERIFYDIMENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_CF_CROSS_ENTRY', 'T_ICT_CF_CROSS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_CF_CROSS_ENTRY_FID') CREATE INDEX IDX_ICT_CF_CROSS_ENTRY_FID ON T_ICT_CF_CROSS_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_CF_CROSS_RECORD', 'T_ICT_CF_CROSS_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_CF_CROSS_RECORD_ORG') CREATE INDEX IDX_ICT_CF_CROSS_RECORD_ORG ON T_ICT_CF_CROSS_RECORD ( FCURORGID ,FOPORGID ,FPERIODID ,FVERIFYSCHEMEID );


 EXEC P_ALTERPK 'PK_T_ICT_CROSS_ENTRY', 'T_ICT_CROSS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_CROSS_ENTRY_FID') CREATE INDEX IDX_ICT_CROSS_ENTRY_FID ON T_ICT_CROSS_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_CROSS_RECORD', 'T_ICT_CROSS_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_CROSS_RECORD_ORG') CREATE INDEX IDX_ICT_CROSS_RECORD_ORG ON T_ICT_CROSS_RECORD ( FCURORGID ,FOPORGID ,FPERIODID ,FVERIFYSCHEMEID );


 EXEC P_ALTERPK 'PK_T_ICT_RECONTOLERANCE_L', 'T_ICT_RECONTOLERANCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_RECONTOLERANCE_L') CREATE INDEX IDX_ICT_RECONTOLERANCE_L ON T_ICT_RECONTOLERANCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ICT_MULACCOUNT', 'T_ICT_MULACCOUNT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_MULACCOUNT') CREATE INDEX IDX_ICT_MULACCOUNT ON T_ICT_MULACCOUNT ( FID );


 EXEC P_ALTERPK 'PK_T_ICT_PULLACCTDETAILLOG', 'T_ICT_PULLACCTDETAILLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_PULLACCTDETAILLOG_SC') CREATE INDEX IDX_ICT_PULLACCTDETAILLOG_SC ON T_ICT_PULLACCTDETAILLOG ( FSTATUS ,FCREATETIME );


 EXEC P_ALTERPK 'PK_T_ICT_PULLCFDETAILLOG', 'T_ICT_PULLCFDETAILLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ICT_PULLCFDETAILLOG_SC') CREATE INDEX IDX_ICT_PULLCFDETAILLOG_SC ON T_ICT_PULLCFDETAILLOG ( FSTATUS ,FCREATETIME );



/**End D:\PDM_UPGRADE\PDM1\ICT_constraint.sql **/
