﻿/**Begin D:\PDM_UPGRADE\PDM1\ICT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_APPORGSCOPE') 
 CREATE TABLE T_ICT_APPORGSCOPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RECORULEENTRY') 
 CREATE TABLE T_ICT_RECORULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRULENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPRIORITY BIGINT DEFAULT 0 NOT NULL,
FMATCHINGCRITER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMATCHINGCRITERJSON NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_VERIFY_SCHEME') 
 CREATE TABLE T_ICT_VERIFY_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTINGSYSID BIGINT DEFAULT 0 NOT NULL,
FMERGENODEID BIGINT DEFAULT 0 NOT NULL,
FOWNACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FOTHERACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FRELEVANCETYPEID BIGINT DEFAULT 0 NOT NULL,
FRECONCILIATIONWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDIFFDEALWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOFFSETACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_VERIFY_SCHEME_L') 
 CREATE TABLE T_ICT_VERIFY_SCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_OFFSETORG') 
 CREATE TABLE T_ICT_OFFSETORG (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMERGEID BIGINT DEFAULT 0 NOT NULL,
FOFFSETID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTINGSYSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELEVANCETYPE') 
 CREATE TABLE T_ICT_RELEVANCETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(2) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_OFFSETORG_L') 
 CREATE TABLE T_ICT_OFFSETORG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELEVANCETYPE_L') 
 CREATE TABLE T_ICT_RELEVANCETYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_COMMONASSGRP') 
 CREATE TABLE T_ICT_COMMONASSGRP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RECODIMENTRY') 
 CREATE TABLE T_ICT_RECODIMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOWNACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FOWNCAFITEMID BIGINT DEFAULT 0 NOT NULL,
FOWNASSGRPID BIGINT DEFAULT 0 NOT NULL,
FOTHERACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FOTHERCAFITEMID BIGINT DEFAULT 0 NOT NULL,
FOTHERASSGRPID BIGINT DEFAULT 0 NOT NULL,
FOWNOFFSETACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FOWNOFFSETCAFITEMID BIGINT DEFAULT 0 NOT NULL,
FOTHEROFFSETACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FOTHEROFFSETCAFITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELOFFSETSCHEME') 
 CREATE TABLE T_ICT_RELOFFSETSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FVERIFYSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBOOKDATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBIZDATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '4' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELOFFSETSCHEME_L') 
 CREATE TABLE T_ICT_RELOFFSETSCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELTRANS_INITSTATE') 
 CREATE TABLE T_ICT_RELTRANS_INITSTATE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FENDINITPERIOD BIGINT DEFAULT 0 NOT NULL,
FISENDINIT CHAR(1) DEFAULT '1' NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTYPEID CHAR(1) DEFAULT '1' NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELTRANS_ACCT_INIT') 
 CREATE TABLE T_ICT_RELTRANS_ACCT_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYLOCID BIGINT DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITAMOUNTLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITAMOUNTLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELTRANS_CF_INIT') 
 CREATE TABLE T_ICT_RELTRANS_CF_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYLOCID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FCFASSGRPID BIGINT DEFAULT 0 NOT NULL,
FCFAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELVERIFY_ACCOUNT') 
 CREATE TABLE T_ICT_RELVERIFY_ACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETVOCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELVERIFY_CASH') 
 CREATE TABLE T_ICT_RELVERIFY_CASH (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETVOCHERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELACCTRECORD') 
 CREATE TABLE T_ICT_RELACCTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERENTRY BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FAMTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTBALLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYLOCID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FLASTUPDATETIME DATETIME,
FDC NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMONASSGRP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBALDC VARCHAR(2) DEFAULT '1' NOT NULL,
FISNEXTPERIOD CHAR(1) DEFAULT '0' NOT NULL,
FISINITRECORD CHAR(1) DEFAULT '0' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORIPERIODID BIGINT DEFAULT 0 NOT NULL,
FBOOKEDDATE DATETIME,
FBIZDATE DATETIME,
FEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETYPE CHAR(1) DEFAULT '0' NOT NULL,
FSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE BIGINT DEFAULT 0 NOT NULL,
FLOCALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRELEVANCETYPE CHAR(1) DEFAULT '1' NOT NULL,
FVCHCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELCFRECORD') 
 CREATE TABLE T_ICT_RELCFRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERENTRY BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FAMTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FLASTUPDATETIME DATETIME,
FDC NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMONASSGRP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBALDC VARCHAR(2) DEFAULT '1' NOT NULL,
FISNEXTPERIOD CHAR(1) DEFAULT '0' NOT NULL,
FORIPERIODID BIGINT DEFAULT 0 NOT NULL,
FISINITRECORD CHAR(1) DEFAULT '0' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FBOOKEDDATE DATETIME,
FBIZDATE DATETIME,
FEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETYPE CHAR(1) DEFAULT '0' NOT NULL,
FSOURCESYS VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE BIGINT DEFAULT 0 NOT NULL,
FRELEVANCETYPE CHAR(1) DEFAULT '1' NOT NULL,
FVCHCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELVERIFY_AC_ENT') 
 CREATE TABLE T_ICT_RELVERIFY_AC_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FVOUFCHERENTRYID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FORICURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTVERIFY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTVERIFYLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTBALLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FDC VARCHAR(2) DEFAULT ' ' NOT NULL,
FVOUCHERORGID BIGINT DEFAULT 0 NOT NULL,
FOFFSETACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBOOKEDDATE DATETIME,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RELVERIFY_CASH_ENT') 
 CREATE TABLE T_ICT_RELVERIFY_CASH_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FVOUFCHERENTRYID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMTLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTVERIFYLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMTBALLOC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHERTYPEID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FDC VARCHAR(2) DEFAULT ' ' NOT NULL,
FVOUCHERORGID BIGINT DEFAULT 0 NOT NULL,
FOFFSETCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBOOKEDDATE DATETIME,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_PULLDATALOG') 
 CREATE TABLE T_ICT_PULLDATALOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FTIMESTAMP BIGINT DEFAULT 0 NOT NULL,
FCLASSIFY VARCHAR(50) DEFAULT '0' NOT NULL,
FITEMCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RECONTOLERANCE') 
 CREATE TABLE T_ICT_RECONTOLERANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOLERANCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTOLERANCEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RECORDDIMENTRY') 
 CREATE TABLE T_ICT_RECORDDIMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FINTERIORASSGRPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_VERIFYSCHEME') 
 CREATE TABLE T_ICT_VERIFYSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTRANSACTIONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDAYS INT DEFAULT 0 NOT NULL,
FBIZDATECERON CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_VERIFYSCHEME_L') 
 CREATE TABLE T_ICT_VERIFYSCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_VERIFYDIMENTRY') 
 CREATE TABLE T_ICT_VERIFYDIMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FINTERIORASSGRPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CF_CROSS_ENTRY') 
 CREATE TABLE T_ICT_CF_CROSS_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERENTRYID BIGINT DEFAULT 0 NOT NULL,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FDC VARCHAR(2) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCASHFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FBOOKEDDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPPORGID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(24,6) DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAMTVERIFY DECIMAL(24,6) DEFAULT 0 NOT NULL,
FAMTBAL DECIMAL(24,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CF_CROSS_RECORD') 
 CREATE TABLE T_ICT_CF_CROSS_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKSTATUS CHAR(1) DEFAULT '2' NOT NULL,
FVERIFYSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCURORGID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CROSS_ENTRY') 
 CREATE TABLE T_ICT_CROSS_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERENTRYID BIGINT DEFAULT 0 NOT NULL,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FVOUCHERID BIGINT DEFAULT 0 NOT NULL,
FDC VARCHAR(2) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FBOOKEDDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPPORGID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(24,6) DEFAULT 0 NOT NULL,
FAMTLOC DECIMAL(24,6) DEFAULT 0 NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAMTVERIFY DECIMAL(24,6) DEFAULT 0 NOT NULL,
FAMTVERIFYLOC DECIMAL(24,6) DEFAULT 0 NOT NULL,
FAMTBAL DECIMAL(24,6) DEFAULT 0 NOT NULL,
FAMTBALLOC DECIMAL(24,6) DEFAULT 0 NOT NULL,
FLOCCURID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CROSS_RECORD') 
 CREATE TABLE T_ICT_CROSS_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKSTATUS CHAR(1) DEFAULT '2' NOT NULL,
FVERIFYSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCURORGID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_RECONTOLERANCE_L') 
 CREATE TABLE T_ICT_RECONTOLERANCE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_MULACCOUNT') 
 CREATE TABLE T_ICT_MULACCOUNT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_PULLACCTDETAILLOG') 
 CREATE TABLE T_ICT_PULLACCTDETAILLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECDETAIL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_PULLCFDETAILLOG') 
 CREATE TABLE T_ICT_PULLCFDETAILLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FVCHNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXECDETAIL NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\ICT_table.sql **/
