﻿/**Begin D:\PDM_UPGRADE\PDM1\ICT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_ACCTPUCHAMT_LOG') 
 CREATE TABLE T_ICT_ACCTPUCHAMT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FDEBITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPULLAMTCALED CHAR(1) DEFAULT '0' NOT NULL,
FCHECKAMTCALED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_ACCTPUCHAMT') 
 CREATE TABLE T_ICT_ACCTPUCHAMT (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FENDPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FPBEGINFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPBEGINLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDEBITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDEBITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPCREDITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPCREDITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPYEARDEBITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPYEARDEBITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPYEARCREDITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPYEARCREDITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPENDFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPENDLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCBEGINFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCBEGINLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCDEBITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCDEBITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCCREDITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCCREDITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYEARDEBITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYEARDEBITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYEARCREDITFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYEARCREDITLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCENDFOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCENDLOCAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CFPUCHAMT_LOG') 
 CREATE TABLE T_ICT_CFPUCHAMT_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FCFITEMID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FRELRECORDID BIGINT DEFAULT 0 NOT NULL,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FPULLAMTCALED CHAR(1) DEFAULT '0' NOT NULL,
FCHECKAMTCALED CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CFPUCHAMT') 
 CREATE TABLE T_ICT_CFPUCHAMT (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FENDPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FOPORGID BIGINT DEFAULT 0 NOT NULL,
FCFITEMID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\ICT_table.sql **/
