﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_MULCASHFLOWITEM') 
 CREATE TABLE T_ICT_MULCASHFLOWITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_CF_CROSS_ENTRY' AND KSQL_COL_NAME ='FCONCURRENCYID') 
 ALTER TABLE T_ICT_CF_CROSS_ENTRY ADD (FCONCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_CF_CROSS_ENTRY' AND KSQL_COL_NAME ='FCONVERTAMT') 
 ALTER TABLE T_ICT_CF_CROSS_ENTRY ADD (FCONVERTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_CF_CROSS_ENTRY' AND KSQL_COL_NAME ='FCONVERTAMTBAL') 
 ALTER TABLE T_ICT_CF_CROSS_ENTRY ADD (FCONVERTAMTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_RELCFRECORD' AND KSQL_COL_NAME ='FCONCURRENCYID') 
 ALTER TABLE T_ICT_RELCFRECORD ADD (FCONCURRENCYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_RELCFRECORD' AND KSQL_COL_NAME ='FCONVERTAMT') 
 ALTER TABLE T_ICT_RELCFRECORD ADD (FCONVERTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_RELCFRECORD' AND KSQL_COL_NAME ='FCONVERTAMTBAL') 
 ALTER TABLE T_ICT_RELCFRECORD ADD (FCONVERTAMTBAL DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ICT_RELCFRECORD' AND KSQL_COL_NAME ='FISCONVERT') 
 ALTER TABLE T_ICT_RELCFRECORD ADD (FISCONVERT CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ICT_CASHFLOWTOLERANCE') 
 CREATE TABLE T_ICT_CASHFLOWTOLERANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOLERANCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTOLERANCEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ICT_table.sql **/
